atsc_desc_service_location Struct Reference
Parsers for several MPEG-TS descriptors

Describes the elementary streams inside a PAT table for ATSC. More...

`#include <desc_atsc_service_location.h>`

## Data Fields

uint8_t | type
uint8_t | length
struct dvb_desc * | next
struct atsc_desc_service_location_elementary * | elementary
union { |
uint16_t bitfield |
struct { |
uint16_t pcr_pid:13 |
uint16_t reserved:3 |
} |
}; |
uint8_t | number_elements

## Detailed Description

Describes the elementary streams inside a PAT table for ATSC.

Parameters

  type | descriptor tag
  length | descriptor length
  next | pointer to struct dvb_desc
  elementary | pointer to struct atsc_desc_service_location_elementary
  pcr_pid | PCR pid
  number_elements | number elements

Definition at line 75 of file desc_atsc_service_location.h.

## Field Documentation

## [union]

union { ... } atsc_desc_service_location

## bitfield

uint16_t atsc_desc_service_location::bitfield

Definition at line 83 of file desc_atsc_service_location.h.

## elementary

struct atsc_desc_service_location_elementary* atsc_desc_service_location::elementary

Definition at line 80 of file desc_atsc_service_location.h.

## length

uint8_t atsc_desc_service_location::length

Definition at line 77 of file desc_atsc_service_location.h.

## next

struct dvb_desc* atsc_desc_service_location::next

Definition at line 78 of file desc_atsc_service_location.h.

## number_elements

uint8_t atsc_desc_service_location::number_elements

Definition at line 90 of file desc_atsc_service_location.h.

## pcr_pid

uint16_t atsc_desc_service_location::pcr_pid

Definition at line 85 of file desc_atsc_service_location.h.

## reserved

uint16_t atsc_desc_service_location::reserved

Definition at line 86 of file desc_atsc_service_location.h.

## type

uint8_t atsc_desc_service_location::type

Definition at line 76 of file desc_atsc_service_location.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/desc_atsc_service_location.h